package de.ozgcloud.eingang.common.formdata;

import java.util.Optional;

import de.ozgcloud.eingang.common.formdata.FormData.FormDataControl;
import de.ozgcloud.eingang.common.formdata.FormData.Representations;

public class FormDataControlTestFactory {

	public static String PRIMARY_FORM_DATA_REPRESENTATION = "Antrag.xml";

	public static FormDataControl create() {
		return createBuilder().build();
	}

	public static FormDataControl.FormDataControlBuilder createBuilder() {
		return FormDataControl.builder()
				.representations(Optional.of(Representations.builder()
						.primaryFormDataRepresentation(PRIMARY_FORM_DATA_REPRESENTATION)
						.build()))
				.metaData(Optional.of(FormMetaDataTestFactory.create()));
	}
}
