package de.ozgcloud.eingang.xta;

import java.util.UUID;
import java.util.stream.Stream;

class XtaMessageMetaDatasAndHeaderTestFactory {

	public static final String MSG_BOX_REQUEST_ID = UUID.randomUUID().toString();

	public static final XtaMessageMetaData MESSAGE1 = XtaMessageMetaDataTestFactory.create();

	public static XtaMessageMetaDatasAndHeader create() {
		return createBuilder().build();
	}

	public static XtaMessageMetaDatasAndHeader.XtaMessageMetaDatasAndHeaderBuilder createBuilder() {
		return XtaMessageMetaDatasAndHeader.builder()
				.msgBoxRequestID(MSG_BOX_REQUEST_ID)
				.messages(Stream.of(MESSAGE1));
	}
}
